﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ead="urn:isbn:1-931666-22-9" 
	ead:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	ead:schemaLocation="urn:isbn:1-931666-22-9 http://www.loc.gov/ead/ead.xsd"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:xlink="http://www.w3.org/1999/xlink"
>

<xsl:template match="ead:archdesc/ead:dsc">
	<div class="dsc">
		<xsl:apply-templates />
	</div>
</xsl:template>

<xsl:strip-space elements="*"/>
	<xsl:template match="ead:c01 | ead:c02 | ead:c03 | ead:c04 | ead:c05 | ead:c06 ">
		<a name="{generate-id(.)}"></a>
		<div>
			<xsl:attribute name="class">container <xsl:value-of select="name()" /></xsl:attribute>
			<!-- Add a label for the c0* @level if there aren't any containers in it, otherwise use the container's label. -->
			<xsl:call-template name="container-title" />
			<div class="contents">
				<xsl:call-template name="container-contents" />
			</div>
		</div>
	</xsl:template>
	
	<xsl:template name="container-title">
		<span class="label">
			<xsl:if test="not(ead:did/ead:container)">
				<xsl:value-of select="@level" />
			</xsl:if>
			<xsl:if test="ead:did/ead:container">
				<xsl:apply-templates select="ead:did/ead:container" />
			</xsl:if>
			<xsl:if test="ead:did/ead:unitid">
				<xsl:text> </xsl:text>
				<xsl:apply-templates select="ead:did/ead:unitid" />
			</xsl:if>
			<xsl:text>: </xsl:text>
		</span>
		
		<xsl:if test="ead:did/ead:unittitle">
			<xsl:apply-templates select="ead:did/ead:unittitle" />
		</xsl:if>
		
		<xsl:if test="ead:did/ead:unitdate/text()">
			<xsl:apply-templates select="ead:did/ead:unitdate" />
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="container-contents">
		<xsl:for-each select="*[not(ead:unitid) and not(ead:unittitle) and not(ead:container)]">
			<xsl:apply-templates select="." />
		</xsl:for-each>
	<!-- <xsl:apply-templates /> -->
	</xsl:template>

	<xsl:template match="ead:container">
		<xsl:value-of select="@type" />
		<xsl:text> </xsl:text>
		<xsl:apply-templates />
		<!-- Separate multiple containers in the same c0x with ", ". -->
		<xsl:if test="following-sibling::ead:container">
			<xsl:text>, </xsl:text>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="ead:dsc//ead:unitdate"> (<xsl:apply-templates />)</xsl:template>
	
	<xsl:template match="ead:dsc//ead:scopecontent"><xsl:apply-templates /></xsl:template>
	<!-- <span style="color: #ff00ff; font-weight: bold;"></span> -->
</xsl:stylesheet>